> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Process an asset in a release PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/releases/{release_id}/assets/{asset_id}/files/{locale_code}/process Reference: https://contentful.com/developers/docs/references/content-management-api/timeline-assets/process-an-asset-in-a-release ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `release_id` (string, required) — ID of the release in form of a string - `asset_id` (string, required) — ID of the asset in form of a string - `locale_code` (string, required) — Locale for which files should be processed ### Headers - `X-Contentful-Version` (string, required) — Version of the asset to process ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) const asset = await client.release.asset.get({ spaceId: '', environmentId: '', releaseId: '', assetId: '', }); await client.release.asset.processForLocale( { spaceId: '', environmentId: '', releaseId: '', }, { ...asset }, 'en-US' ); ``` ```android Android No snippet for this SDK. ``` ```java Java No snippet for this SDK. ``` ```kotlin Kotlin No snippet for this SDK. ``` ```swift Swift No snippet for this SDK. ``` ```js-legacy JavaScript (legacy) No snippet for this SDK. ``` ```php PHP No snippet for this SDK. ``` ```ruby Ruby No snippet for this SDK. ``` ```python Python No snippet for this SDK. ``` ```.net .NET No snippet for this SDK. ```